► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 7 | Editor Classes

7.1 | editor<%>
7.2 | editor-admin%
7.3 | editor-canvas%
7.4 | editor-data%
7.5 | editor-data-class%
7.6 | editor-data-class-list<%>
7.7 | editor-snip-editor-admin<%>
7.8 | editor-snip%
7.9 | editor-stream-in%
7.10 | editor-stream-in-base%
7.11 | editor-stream-in-bytes-base%
7.12 | editor-stream-out%
7.13 | editor-stream-out-base%
7.14 | editor-stream-out-bytes-base%
7.15 | editor-wordbreak-map%
7.16 | keymap%
7.17 | pasteboard%
7.18 | text%

On this page:

add
find
find-position
nth
number

top ← prev up next →

> interface

> editor-data-class-list<%> : interface?

Each eventspace has an instance of editor-data-class-list<%>, obtained with ( get-the-editor-data-class-list ). New instances cannot be created directly. This list keeps a list of editor data classes; this list is needed for loading snips from a file. See also Editor Data.

> > method

> > ( send an-editor-data-class-list add snipclass) → void?

> snipclass : ( is-a?/c editor-data-class% )

Adds a snip data class to the list. If a class with the same name already exists in the list, this one will not be added.

> > method

> > ( send an-editor-data-class-list find name)

> → ( or/c ( is-a?/c snip-class% ) #f)
> name : string?

Finds a snip data class from the list with the given name, returning #f if none can be found.

> > method

> > ( send an-editor-data-class-list find-position class)

> → exact-nonnegative-integer?
> class : ( is-a?/c editor-data-class% )

Returns an index into the list for the specified class.

> > method

> > ( send an-editor-data-class-list nth n)

> → ( or/c ( is-a?/c editor-data-class% ) #f)
> n : exact-nonnegative-integer?

Returns the nth class in the list (counting from 0), returning #f if the list has n or less classes.

> > method

> > ( send an-editor-data-class-list number )

> → exact-nonnegative-integer?

Returns the number of editor data classes in the list.
top ← prev up next →